import logging

#width
ScreenX = 80
#height
ScreenY = 40

Serial = "/dev/ttyACM0"

# kills app after some seconds if it sends no data
NoDataTimeout = 40

LogLevel = logging.DEBUG

UseGui = True
GuiScaleFactor = 15

WebHost = "0.0.0.0"
WebPort = 8000

# first app is always running in IDLE    
Apps = [
    {"guiname": "Dual moodlight", "name": "bimood", "cmd": "apps/bimood", "persistent": False},
    {"guiname": "IDLE", "name": "pixelflut", "cmd": "apps/idle.py", "persistent": False},
    {"guiname": "IDLE2", "name": "idlec", "cmd": "apps/idle2"},
    {"guiname": "YoutubeDL", "name": "youtubedl", "cmd": "apps/youtubedl.sh", "persistent": False},
    {"guiname": "Stream", "name": "stream", "cmd": "apps/stream.sh", "persistent": False},
    {"guiname": "Wget Video/Gif/Images", "name": "wget", "cmd": "apps/wget.sh", "persistent": False},
    {"guiname": "Tetris", "name": "tetris", "cmd": "apps/deckentetris/deckentetris.py", "persistent": False},
    {"guiname": "SkyScrapper", "name": "sky", "cmd": "apps/weather/main.py"},
    {"guiname": "Strobo", "name": "strobo", "cmd": "apps/strobo.py", "persistent": False},
    {"guiname": "Snake", "name": "snake", "cmd": "apps/snake.py", "persistent": False},
    {"guiname": "Strobo", "name": "strobo", "cmd": "apps/strobo.py"},
    {"name": "pong", "cmd": "apps/pong.py"},
    {"name": "framebuffer", "cmd": ["apps/fbcp", "/dev/fb0"]},
    {"name": "gif", "cmd": "apps/gif.sh"},
    {"name": "colormap", "cmd": "apps/colormap.py"},    
    {"name": "fibonacci-clock", "cmd": "apps/fibonacci-clock.py"}
]   
